curl -X GET \
-H "QB-Token: ff40ff1c9964fe8d16042b3c809a21b916012bba" \
https://api.quickblox.com/events/30529342.json
{
"event": {
"id": 30529342,
"event_type": "period_date",
"message": "payload=eyJhcHMiOnsiYWxlcnQiOiJQdXNoIG5vdGlmaWNhdGlvbiBmcm9tIFRheWxvciIsInNvdW5kIjoiZGVmYXVsdCJ9fQ==",
"date": 1568359375,
"period": 86400,
"name": null,
"occured_count": 0,
"created_at": "2019-09-01T20:19:08Z",
"updated_at": "2019-09-01T20:19:08Z",
"end_date": 1569359375,
"active": true,
"application_id": 76730,
"user_id": 91141808,
"kind": "API",
"environment": "production",
"tag_query": null,
"notification_channel": {
"name": "apns"
}
}
}
{}
Push Notifications
Get Event by ID
Retrieve event by the ID. The event specified in the request should belong to the application for which the authorization token has been received.
GET
/
events
/
{event_id}
.json
curl -X GET \
-H "QB-Token: ff40ff1c9964fe8d16042b3c809a21b916012bba" \
https://api.quickblox.com/events/30529342.json
{
"event": {
"id": 30529342,
"event_type": "period_date",
"message": "payload=eyJhcHMiOnsiYWxlcnQiOiJQdXNoIG5vdGlmaWNhdGlvbiBmcm9tIFRheWxvciIsInNvdW5kIjoiZGVmYXVsdCJ9fQ==",
"date": 1568359375,
"period": 86400,
"name": null,
"occured_count": 0,
"created_at": "2019-09-01T20:19:08Z",
"updated_at": "2019-09-01T20:19:08Z",
"end_date": 1569359375,
"active": true,
"application_id": 76730,
"user_id": 91141808,
"kind": "API",
"environment": "production",
"tag_query": null,
"notification_channel": {
"name": "apns"
}
}
}
{}
Path Parameters
integer
ID of the event.
Headers
string
required
A user session token. See Authentication page
to learn more about the session token.
Responses
200
200
400
400
An error response
curl -X GET \
-H "QB-Token: ff40ff1c9964fe8d16042b3c809a21b916012bba" \
https://api.quickblox.com/events/30529342.json
{
"event": {
"id": 30529342,
"event_type": "period_date",
"message": "payload=eyJhcHMiOnsiYWxlcnQiOiJQdXNoIG5vdGlmaWNhdGlvbiBmcm9tIFRheWxvciIsInNvdW5kIjoiZGVmYXVsdCJ9fQ==",
"date": 1568359375,
"period": 86400,
"name": null,
"occured_count": 0,
"created_at": "2019-09-01T20:19:08Z",
"updated_at": "2019-09-01T20:19:08Z",
"end_date": 1569359375,
"active": true,
"application_id": 76730,
"user_id": 91141808,
"kind": "API",
"environment": "production",
"tag_query": null,
"notification_channel": {
"name": "apns"
}
}
}
{}
Was this page helpful?